<template>
  <dashboard-layout title="Avis">
    <!-- affichage test de votes  -->
    <div class="col-sm-10  mx-auto"  >      
      <div>      
        <!-- étoile -->
        <h1 >
        <p class="mx-auto" style="text-align: center;margin-top: 60px; margin-bottom: 60px" >
          <span ><i class="text-warning fa fa-star"></i></span>
          <span ><i class="text-warning fa fa-star"></i></span>
          <span ><i class="text-warning fa fa-star"></i></span>
          <span class="fa fa-star-o" data-rating="3"></span>
          <span class="fa fa-star-o" data-rating="5"></span>
        </p>
        </h1>
        <!-- barre de recherche suivant ... -->
        <div class="card">
          <div class="card-body" >
            <div class="dropdown pull-right">
              Trier par :
              <button type="button" class="btn  border-dark dropdown-toggle" data-toggle="dropdown" style="margin-left: 260px">
                Aujourd'hui
              </button>
              <div class="dropdown-menu">
                <a class="dropdown-item" href="#">Cette semaine</a>
                <a class="dropdown-item" href="#">Ce mois</a>
              </div>
            </div>
          </div>
        </div>

        <!-- affichage des avis -->
        <div class="row" style="margin-top: 30px">
          <div v-for="(rate, index) in rates" :key="index" class="col-sm-4" style="padding-bottom: 16px">
            <div  class="card mx-auto" style="height: 250px">
              <div class="card-body">
                <h3> {{ rate.commentaire }} </h3>
              </div>
            </div>
          </div>
        </div>

      </div>

      <!-- pagination https://www.youtube.com/watch?v=aoWqFLGCK60 -->
      <div class="pull-right" style="padding-top: 35px"> 
        Page
        <input type="number" min="1" name="page" id="page" class="paginate colorGreen">
        / <span class="colorGreen">250</span>  
      </div>
    </div>
  </dashboard-layout>
</template>

<script>
export default {
      name: 'Rates',
      data () {
        return {
          user: {
            email: '',
            password: '',
          },
          errorMessage: '',
          rates: []
        }
      },
      mounted() {
        //chargement des votes
        console.log(localStorage.getItem('serviceId'));
        this.$service.getRatesByService(localStorage.getItem('serviceId'),(err, data) => {
          if (err) {
            this.errorMessage = err.data;
            console.log('Error', err.data);
            return;
          }
          console.log('Data', data);
          //récupération des votes
          if(data.rates){
            this.rates = data.rates
          }
        });
      },
      methods: {
      }
}
</script>



